Bug 447480 - Allow currencies to be divisible by more than ten decimal places
Summary: Allow currencies to be divisible by more than ten decimal places
Status: RESOLVED FIXED
Alias: None
Product: kmymoney
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: unspecified All
: NOR wishlist (vote)
Target Milestone: ---
Assignee: KMyMoney Devel Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-12-24 16:53 UTC by Chris
Modified: 2022-03-17 08:13 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 5.1.3


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris 2021-12-24 16:53:38 UTC
Currently the application seems to only allow a maximum of ten decimal places when adding a new currency type. Monero, a popular cryptocurrency with the third largest development community of all cryptocoins, is divisible to twelve decimal places. Please consider adding a few extra decimal places to the currency options.
Comment 1 Thomas Baumgart 2021-12-26 10:11:45 UTC
Git commit 19e6a0af6cccd3c098480b0d0885dc3f036030ab by Thomas Baumgart.
Committed on 26/12/2021 at 10:11.
Pushed by tbaumgart into branch 'master'.

Increased price precision to 20 digits maximum
FIXED-IN: 5.1.3

M  +135  -34   kmymoney/mymoney/mymoneymoney.cpp
M  +13   -0    kmymoney/mymoney/mymoneymoney.h
M  +8    -1    kmymoney/mymoney/tests/mymoneymoney-test.cpp
M  +1    -0    kmymoney/mymoney/tests/mymoneymoney-test.h
M  +2    -2    kmymoney/wizards/newinvestmentwizard/kinvestmentdetailswizardpage.ui

https://invent.kde.org/office/kmymoney/commit/19e6a0af6cccd3c098480b0d0885dc3f036030ab
Comment 2 Thomas Baumgart 2021-12-26 10:12:33 UTC
Git commit 657dbcf2f17a56dc78951f172f0db35554a2785b by Thomas Baumgart.
Committed on 26/12/2021 at 10:12.
Pushed by tbaumgart into branch '5.1'.

Increased price precision to 20 digits maximum
FIXED-IN: 5.1.3

(cherry picked from commit 19e6a0af6cccd3c098480b0d0885dc3f036030ab)

M  +135  -34   kmymoney/mymoney/mymoneymoney.cpp
M  +13   -0    kmymoney/mymoney/mymoneymoney.h
M  +8    -1    kmymoney/mymoney/tests/mymoneymoney-test.cpp
M  +1    -0    kmymoney/mymoney/tests/mymoneymoney-test.h
M  +2    -2    kmymoney/wizards/newinvestmentwizard/kinvestmentdetailswizardpage.ui

https://invent.kde.org/office/kmymoney/commit/657dbcf2f17a56dc78951f172f0db35554a2785b
Comment 3 Ralf Habacker 2022-03-17 08:13:03 UTC
Git commit 2ba1f2a73d011b3decba6b1c895fc4fba6b3fb7a by Ralf Habacker.
Committed on 17/03/2022 at 08:10.
Pushed by habacker into branch '8.1'.

Increase denominator range for conversion routine

(cherry picked from commit e3387a885603aff681b930af6885b1d97b0d60d0)

M  +9    -0    autotests/alkvaluetest.cpp
M  +11   -6    src/alkvalue.cpp
M  +11   -2    src/alkvalue.h.in

https://invent.kde.org/office/alkimia/commit/2ba1f2a73d011b3decba6b1c895fc4fba6b3fb7a